> For the complete documentation index, see [llms.txt](https://gitbook-docs.coinmetrics.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://gitbook-docs.coinmetrics.io/python-api-client/reference/coinmetricsclient/constituents/get_timeframes_of_asset_metric_constituents.md).

# CoinMetricsClient.get\_timeframes\_of\_asset\_metric\_constituents

```python
coinmetrics.api_client.CoinMetricsClient.get_timeframes_of_asset_metric_constituents(
    metric,
    constituents=None,
    end_time=None,
    start_time=None,
    next_page_token=None,
    page_size=None,
    paging_from=None,
    format=None,
)
```

Returns timeframes of asset metric constituents. Results are sorted by tuple (start\_time, constituent\_name), where constituent depends on a target metric. E.g., the volume\_trusted\_spot\_usd\_1d metric constituents are exchanges, i.e. the output will be sorted by (start\_time, exchange).

* **Parameters:**
  * **metric** ([*str*](https://docs.python.org/3/library/stdtypes.html#str)) -- Target metric name.
  * **constituents** (*Optional* \*\[\**Union* *\[*[*str*](https://docs.python.org/3/library/stdtypes.html#str) *,* *List* *\[*[*str*](https://docs.python.org/3/library/stdtypes.html#str) *]* *]* *]*) -- Comma separated list of constituents. By default all constituents are returned. Different asset metrics may have different constituents. For example, constituents for volume\_trusted\_spot\_usd\_1d are exchanges.
  * **end\_time** (*Optional* \*\[\**Union* \*\[\**datetime* *,* *date* *,* [*str*](https://docs.python.org/3/library/stdtypes.html#str) *]* *]*) -- End of the time interval, inclusive. Multiple formats of ISO 8601 are supported: 2006-01-20T00:00:00Z, 2006-01-20T00:00:00.000Z, 2006-01-20T00:00:00.123456Z, 2006-01-20T00:00:00.123456789, 2006-01-20, 20060120.
  * **start\_time** (*Optional* \*\[\**Union* \*\[\**datetime* *,* *date* *,* [*str*](https://docs.python.org/3/library/stdtypes.html#str) *]* *]*) -- Start of the time interval, inclusive. Multiple formats of ISO 8601 are supported: 2006-01-20T00:00:00Z, 2006-01-20T00:00:00.000Z, 2006-01-20T00:00:00.123456Z, 2006-01-20T00:00:00.123456789, 2006-01-20, 20060120.
  * **next\_page\_token** (*Optional* *\[*[*str*](https://docs.python.org/3/library/stdtypes.html#str) *]*) -- Token for receiving the results from the next page of a query. Should not be used directly. To iterate through pages just use next\_page\_url response field.
  * **page\_size** (*Optional* *\[*[*int*](https://docs.python.org/3/library/functions.html#int) *]*) -- Number of items per single page of results.
  * **paging\_from** (*Optional* *\[*[*str*](https://docs.python.org/3/library/stdtypes.html#str) *]*) -- Where does the first page start, at the start of the interval or at the end.
  * **format** (*Optional* *\[*[*str*](https://docs.python.org/3/library/stdtypes.html#str) *]*) -- Format of the response. Supported values are json, csv. Default is json.

**Returns:**

* [DataCollection](https://gitbook-docs.coinmetrics.io/python-api-client/reference/coinmetricsclient/constituents/pages/xfhfweQfdRu1PKsB5acj#coinmetrics._data_collection.DataCollection)
  * List of timeframes.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://gitbook-docs.coinmetrics.io/python-api-client/reference/coinmetricsclient/constituents/get_timeframes_of_asset_metric_constituents.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
